# Ping_Socket.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/ICMP_Socket.h"`
`#include "ace/Ping_Socket.inl"`

Include dependency graph for Ping_Socket.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Ping_Socket
| This class is useful to perform ICMP echo checks (pinging) on the party of your interest. It may be used as well to check LAN-adapters against 3rd parties. More...

## Detailed Description

Id
  Ping_Socket.h,v 1.7 2005/10/28 16:14:54 ossama Exp

Author:
  Robert S. Iakobashvili <coroberti@gmail.com> <coroberti@walla.co.il>

  Gonzalo A. Diethelm <gonzalo.diethelm@aditiva.com>